Обход ограничений безопасности в Ruby

Дата публикации:
21.02.2011
Дата изменения:
15.05.2012
Всего просмотров:
618
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:2.8/Temporal:2.1
CVE ID:
CVE-2011-1005
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby 1.8.x
Уязвимые версии:
Ruby 1.8.6 patchlevel 420 и более ранние
Ruby 1.8.7 patchlevel 330 и более ранние

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности на системе.

Уязвимость существует из-за ошибки при обработке исключения #to_s. Удаленный пользователь может обойти уровень безопасной защиты и, например, внести изменения в защищенные строки.

URL производителя: http://www.ruby-lang.org/en/

Решение: Для устранения уязвимости установите исправление версии 1.8.7-334 с сайта производителя.

Ссылки: http://www.ruby-lang.org/en/news/2011/02/18/exception-methods-can-bypass-safe/

или введите имя

CAPTCHA